##
##  shtool.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2025 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         shtool
Summary:      GNU Portable Shell Tool
URL:          http://www.gnu.org/software/shtool/
Vendor:       Ralf S. Engelschall
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        CORE
Group:        Building
License:      GPL
Version:      2.0.8
Release:      20130602

#   package options
%option       with_shtoolize  yes

#   list of sources
Source0:      http://ftp.gnu.org/gnu/shtool/shtool-%{version}.tar.gz
Patch0:       shtool.patch

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, perl
PreReq:       OpenPKG, openpkg >= 20160101
%if "%{with_shtoolize}" == "yes"
PreReq:       perl
%endif

%description
    GNU shtool is a compilation of small but very stable and portable
    shell scripts into a single shell tool. All ingredients were in
    successful use over many years in various free software projects.
    The compiled shtool script is intended to be used inside the source
    tree of those free software packages. There it can take over
    various (usually non-portable) tasks related to the building and
    installation of such packages.

%track
    prog shtool = {
        version   = %{version}
        url       = http://ftp.gnu.org/gnu/shtool/
        regex     = shtool-(__VER__)\.tar\.gz
    }

%prep
    %setup -q
    %patch -p0

%build
    ./configure \
        --prefix=%{l_prefix} \
        --mandir=%{l_prefix}/man
    %{l_make} %{l_mflags}

%install
    %{l_make} %{l_mflags} install DESTDIR=$RPM_BUILD_ROOT
%if "%{with_shtoolize}" != "yes"
    rm -f $RPM_BUILD_ROOT%{l_prefix}/bin/shtoolize
    rm -f $RPM_BUILD_ROOT%{l_prefix}/man/man1/shtoolize.1
    rm -rf $RPM_BUILD_ROOT%{l_prefix}/share/shtool
%endif
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT \
        %{l_files_std}

%files -f files

%clean

